package com.bc_chat.contacts.contract

import com.zhaohaoting.framework.abs.contract.BaseContract

/**
 * author：Created by zhaohaoting on 2019/3/7
 * email：526309416@qq.com
 * desc：选择好友
 */
interface ChooseMemberContact {

    interface Presenter {
        /**
         * 添加群成员
         */
        fun addGroupMember( groupId: String,  groupName: String,  userNames: String,  userName: String,  uids: String)

        /**
         * 踢出群成员
         */
        fun kickoutGroupMember(groupId: String, userName: String?, userNames: String?, uids: String)

        /**
         * 转让群
         */
        fun assignmentGroup(groupId: String, uid: String,nickname:String)

        /**
         * 添加群管理
         */
        fun addGroupAdmin(groupId: String,nicknames:String,nickname:String, uids: String)
    }

    interface View : BaseContract.BaseView {

        fun addGroupMemberSuccess()

        fun addGroupMemberFailure(exception: Exception)

        fun kickoutGroupMemberSuccess()

        fun kickoutGroupMemberFailure(exception: Exception)

        fun assignmentGroupSuccess()

        fun assignmentGroupFailure(exception: Exception)

        fun addGroupAdminSuccess()

        fun addGroupAdminFailure(exception: Exception)
    }
}